%define		pkg	once
Summary:	The config thing npm uses
Name:		nodejs-%{pkg}
Version:	1.3.0
Release:	1
License:	MIT
Group:		Development/Libraries
URL:		https://github.com/isaacs/once
Source0:	http://registry.npmjs.org/%{pkg}/-/%{pkg}-%{version}.tgz
# Source0-md5:	a63b8faed7b2c6c167ddcface976442b
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The config thing npm uses.

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
cp -a package.json %{pkg}.js $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md LICENSE
%dir %{nodejs_libdir}/%{pkg}
%{nodejs_libdir}/%{pkg}/package.json
%{nodejs_libdir}/%{pkg}/%{pkg}.js
%changelog
* Wed Mar 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-once.git;a=log;h=master

* Sat Mar 08 2014 Łukasz Kieś <kiesiu@pld-linux.org> fb19972
- updated to 1.3.0

* Sun Dec 02 2012 Aria Stewart <aredridel@nbtsc.org> 408537a
- Initial commit

